---
title: Služby
desc: Svým členům i široké veřejnosti poskytujeme různé služby, které najdete sepsané na této stránce.
---

# Služby

Na své infrastruktuře provozujeme několik různých služeb, které jsou volně dostupné či určené naším členům. Většina provozovaných služeb je open-source a některé z nich sami vyvíjíme.

Napadá vás, co ještě můžeme přidat? [admin@codespace.cz](mailto:admin@codespace.cz)


## Provozované služby

**Piped**

- alternativní frontend pro YouTube
- **[yt.cdsp.cz](https://yt.cdsp.cz)**

**PipedMusic**

- alternativní frontend pro YouTube Music
- náš vlastní (a zatím soukromý) projekt, který v budoucnu plánujeme zveřejnit
- **[pm.cdsp.cz](https://pm.cdsp.cz)**

**Send**

- jednoduché a soukromé sdílení souborů
- **[send.cdsp.cz](https://send.cdsp.cz)**

**Forgejo**

- naše instance pro hostování kódu a jeho verzování
- **[git.cdsp.cz](https://git.cdsp.cz)**

**Nextcloud**

- naše instance cloudové platformy pro úschovu souborů s různými dalšími službami
- **[cloud.znachor.cz](https://cloud.znachor.cz)**

**Pterodactyl**

- ovládací panel pro hostování a správu herních serverů
- **[panel.enchant.cz](https://panel.enchant.cz)**

**Klientská VPN**

- přístup do interní sítě CodeSpace
- **[více o VPN](/lan/vpn)**

**Webhosting**

- všem členům je k dispozici 500 MB místa pro jejich webové stránky
- webhosting provozujeme na vlastním (v tuto chvíli uzavřeném) softwaru
- pro více informací nás kontaktujte
- **[oohost.cz](https://oohost.cz)**

**Minecraft servery**

- na své infrastruktuře provozujeme relativně veřejný Minecraft server **[Enchant.cz](https://enchant.cz)**
- provozujeme i další soukromé servery pro naše členy


## Další služby

Poskytujeme i další služby, které však nejsou tak často využívány. Pokud o ně budete mít zájem, tak nás neváhejte kontaktovat.

**Nameservery**

- provozujeme si vlastní jmenné servery pro domény
- jedná se o dva geograficky oddělené nameservery, které jsou poháněny projektem knot

**Mailserver**

- provozujeme vlastní emailový server (maddy + dovecot)
- pro případ výpadku je provozován i záložní emailový server, který emaily uchovává po dobu nedostupnosti

**Virtuální servery**

- v omezené míře jsme schopni zařídit linuxové (či jiné) virtuální servery

**Přesměrování portů**

- všem členům nabízíme přesměrování portů, případně naroutování celých IP bloků
	- přesměrování portů z našich veřejných IPv4 adres
	- naroutování veřejných IPv6 bloků (/96 a menší)