---
title: Lokální síť
---

# Lokální síť

Nacházíte se na stránce s dokumentací a fungováním naší interní sítě CodeSpace LAN. Najdete tu základní informace o síti, používané DNS servery a adresní rozsahy i pravidla sítě. Síť je tvořena dvěma vyhrazenými subnety v soukromých rozsazích IPv4 a IPv6. V síti je plně podporován jak původní protokol IPv4, tak i moderní protokol IPv6, přičemž většina služeb je dostupná po obou protokolech.

Propoje mezi jednotlivými podsítěmi jsou řešeny virtuálně pomocí protokolu Wireguard. V současné době je většinově využito hvězdicové topologie, kdy má síť jeden centrální uzel, na který jsou připojeny všechny ostatní uzly. Do budoucna je však díky využívanému protokolu možné přejít na decentralizovanou strukturu, která by přinesla vyšší stabilitu a odolnost sítě.

Pro ověření/diagnostiku svého připojení do naší sítě můžete využít službu [**check.cdsp.cz**](https://check.cdsp.cz).

## Obecné informace

**DNS servery**
- Aurora
	- fd09:9e25:a603::3
	- 192.168.128.3
- Ayana
	- fd09:9e25:a603::2
	- 192.168.128.2

**Používané rozsahy** naší sítě
- IPv4: **192.168.128.0/19**
- IPv6: **fd09:9e25:a603::/48**
- [Alokované podsítě](/lan/subnet)
- [Jak požádat o subnet?](/lan/subnet)

## Pravidla sítě

TODO