---
title: Klientská VPN
---

# Klientská VPN

V rámci sítě CodeSpace LAN provozujeme klientskou VPN, kterou je možné využívat pro vzdálený přístup do sítě z libovolného místa na světě. Narozdíl od VPN používané pro propoje se tato VPN nepoužívá k připojování celých subnetů, ale přiřazovány jsou pouze jednotlivé IP adresy z níže uvedených rozsahů.

Rozsahy adres pro přístup do interní sítě
- **192.168.130.0/24**
- **fd09:9e25:a603:2::/64**

Rozsah veřejných IPv6 adres pro přístup do Internetu
- **2a02:768:3b04:515a:c0de::/112**

Další informace
- protokol: Wireguard
- konektivita: 500/500 Mbps

Pokud potřebujete zřídit VPN profil, napište prosím na email [admin@codespace.cz](mailto:admin@codespace.cz).

## FAQ

**Mohu na klientské VPN dostat větší síť místo jediné adresy?**
- Ne, pro tyto účely slouží propojová VPN, kde se tyto požadavky dají řešit individuálně a je možné naroutovat i celý subnet.

**Kde je VPN umístěna?**
- Klientská VPN se nachází v Českých Budějovicích na konektivitě 500/500 Mbps s odezvou do Prahy kolem 4ms.
- Veřejné IP adresy přistupující na Internet jsou **[185.131.60.97](https://ipinfo.io/185.131.60.97)** a **[2a02:768:3b04:515a:c0de::/112](https://ipinfo.io/2a02:768:3b04:515a:c0de::1)**.

**Je VPN připojení datově či časově omezené?**
- Ne, na klientské VPN nejsou žádná datová ani časová omezení, předpokládá se ale její rozumné využívání.